include("shared.lua")


function ENT:Initialize()

end

function ENT:Draw()
	self:DrawModel()
	/*
	if(LocalPlayer():GetPos():Distance(self:GetPos()) < 300)then
		self:Draw_MainInfo()
	end
	*/
end

function ENT:Draw_MainInfo()


	local Pos = self:GetPos() + Vector(0,0,10)
	local Ang = Angle( 0, LocalPlayer():EyeAngles().y - 90, 90 )

	cam.Start3D2D(Pos , Ang, 0.1)
		draw.DrawText(self:GetIngredient_Type(), "zpizmak_pizza_font01",0, -100,  Color(255,255,255), TEXT_ALIGN_CENTER  )
		//draw.DrawText(self:GetIngredient_Amount(), "zpizmak_pizza_font01",0, -45,  Color(255,255,255), TEXT_ALIGN_CENTER  )
	cam.End3D2D()
end

function ENT:DrawTranslucent()
	self:Draw()
end
function ENT:Think()
	self:SetNextClientThink( CurTime())
    return true
end
function ENT:OnRemove() end
